/**
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2010 WURFL-Pro srl
 */

package net.sourceforge.wurfl.core.handlers;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;
import net.sourceforge.wurfl.core.utils.StringUtils;

/**
 * Intercept all UAs starting with "Alcatel" or "ALCATEL"
 * 
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
 * @version $Id: AlcatelHandler.java 566 2010-10-25 08:27:06Z asres.fantayeneh $
 */
public class AlcatelHandler extends Handler {

    public AlcatelHandler() {
    }

    public AlcatelHandler(UserAgentNormalizer normalizer) {
		super(normalizer);
	}

	/**
	 * Checks the given UA starts with "Alcatel" or "ALCATEL"
	 */
	public boolean canHandle(String userAgent) {
		return StringUtils.startsWithAnyOf(userAgent, new String[]{"Alcatel", "ALCATEL"});
	}
}
