/**
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2010 WURFL-Pro srl
 */

package net.sourceforge.wurfl.core.handlers;

import java.util.Arrays;
import java.util.List;

import org.apache.commons.collections.CollectionUtils;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;
import net.sourceforge.wurfl.core.utils.Predicates;
import net.sourceforge.wurfl.core.utils.StringUtils;

/**
 * Intercept all UAs containing "iPhone" or "iPod" or iPad
 *
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * @version $Id: AppleHandler.java 566 2010-10-25 08:27:06Z asres.fantayeneh $
 */
public class AppleHandler extends Handler {


    public AppleHandler() {
    }

    public AppleHandler(UserAgentNormalizer normalizer) {
        super(normalizer);
    }

    private static final String[] APPLE_KEYOWRDS = new String[]{"iPhone", "iPod", "iPad"};    
    /**
     * Checks given UA contains "iPhone" or "iPod" or iPad
     */
    public boolean canHandle(final String userAgent) {
        return StringUtils.containsAnyOf(userAgent, APPLE_KEYOWRDS);
    }

    

}
