/**
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2010 WURFL-Pro srl
 */

package net.sourceforge.wurfl.core.handlers;

import org.apache.commons.lang.StringUtils;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;

/**
 * Intercept all UAs starting with "LG"
 * 
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
 * @version $Id: LGHandler.java 552 2010-10-06 13:16:08Z asres.fantayeneh $
 */
public class LGHandler extends Handler {

    public LGHandler() {
    }

    public LGHandler(UserAgentNormalizer normalizer) {
		super(normalizer);
	}

	/**
	 * Checks given UA starts with "LG"
	 */
	public boolean canHandle(String userAgent) {
		return userAgent.startsWith("lg") || StringUtils.contains(userAgent, "LG-") || StringUtils.contains(userAgent, "LGE");
	}


}
