/**
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2010 WURFL-Pro srl
 */

package net.sourceforge.wurfl.core.handlers;

import org.apache.commons.lang.StringUtils;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;

/**
 * Intercept all UAs containing "SonyEricsson"
 * 
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
 * @version $Id: SonyEricssonHandler.java 429 2010-05-06 11:38:31Z filippo.deluca $
 */
public class SonyEricssonHandler extends Handler {

    public SonyEricssonHandler() {
    }

    public SonyEricssonHandler(UserAgentNormalizer normalizer) {
		super(normalizer);
	}

	/**
	 * Checks given UA contains "SonyEricsson"
	 */
	public boolean canHandle(String userAgent) {
		return StringUtils.contains(userAgent, "SonyEricsson");
	}
}
