package net.sourceforge.wurfl.core.handlers.matchers;

import java.util.SortedSet;

import net.sourceforge.wurfl.core.handlers.Handler;
import net.sourceforge.wurfl.core.utils.StringUtils;

/**
 * @author: Fantayeneh Asres Gizaw
 */
public class MaemoBrowserMatcher extends AbstractMatcher {

    /**
     * Build AbstractMatcher by handler and collected devices by user-agent.
     *
     * @param handler The handler used to decide if this class can handle the
     *                request.
     */
    public MaemoBrowserMatcher(Handler handler) {
        super(handler);
    }


    protected String lookForMatchingUserAgent(SortedSet userAgentsSet, String userAgent) {
        return StringUtils.risMatch(userAgentsSet, userAgent, StringUtils.firstSpace(userAgent));
    }
}
