/**
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2010 WURFL-Pro srl
 */

package net.sourceforge.wurfl.core.request.normalizer.generic;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;

/**
 * @author Fantayeneh Asres Gizaw
 */
public class LocaleRemover implements UserAgentNormalizer {

    private static final Pattern LOCALE_PATTERN = Pattern.compile("(; [a-z]{2}(-[a-zA-Z]{0,2})?)");

    /**
     * Removes the locale part of the user-agent.
     */
    public String normalize(String userAgent) {
        Matcher matcher = LOCALE_PATTERN.matcher(userAgent);
        return matcher.replaceFirst("");
    }

}
