package net.sourceforge.wurfl.core.request.normalizer.generic;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;

/**
 * @author: Fantayeneh Asres Gizaw
 */
public class NovarraGoogleTranslatorRemover implements UserAgentNormalizer {

    private static final Pattern NOVARRA_GOOGLETRANSLATOR_PATTERN = Pattern.compile("(\\sNovarra-Vision.*)|(,gzip\\(gfe\\)\\s+\\(via translate.google.com\\))");
    
    public String normalize(String userAgent) {
        Matcher matcher = NOVARRA_GOOGLETRANSLATOR_PATTERN.matcher(userAgent);
        return matcher.replaceFirst("");

    }
}
