package net.sourceforge.wurfl.core.request.normalizer.generic;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;

/**
 * @author: Fantayeneh Asres Gizaw
 */
public class SerialNumberNormalizer implements UserAgentNormalizer {

    private static final Pattern SN_PATTERN = Pattern.compile("(\\[(TF|NT|ST)[\\d|X]+\\])|(\\/SN[\\d|X]+)");

    public String normalize(String userAgent) {

        Matcher matcher = SN_PATTERN.matcher(userAgent);
        return matcher.replaceFirst("");

    }
}
