package net.sourceforge.wurfl.core.request.normalizer.specific;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;

/**
 * @author: Fantayeneh Asres Gizaw
 */
public class MozillaNormalizer implements UserAgentNormalizer {

    private static final Pattern MOZILLA_LANGUAGE_PATTERN = Pattern.compile("(; [a-z]{2}(-[a-zA-Z]{0,2})?)");

    public String normalize(String userAgent) {
        return userAgent.startsWith("Mozilla/") ? replaceLocale(userAgent) : userAgent;
    }

    private String replaceLocale(String userAgent) {
        Matcher matcher = MOZILLA_LANGUAGE_PATTERN.matcher(userAgent);
        return matcher.replaceFirst("");
    }

}
